Bug 1309419 - Overcloud cloud provider has exclamation mark in quadrant
Overcloud cloud provider has exclamation mark in quadrant
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - CloudForms (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP3
: 1.0
Assigned To: Jason Montleon
Tasos Papaioannou
Dan Macpherson
: Triaged
: 1309610 (view as bug list)
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2016-02-17 13:28 EST by Thom Carlin
Modified: 2016-04-29 12:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-02-17 13:28:28 EST
Description of problem:

deployment-name-RHOS cloud provider has exclamation mark (!) in quadrant

Version-Release number of selected component (if applicable):

TP2 RC9

How reproducible:

100%

Steps to Reproduce:
1. Install RHCI + TripleO ISO's
2. Log in to run launch-fusor*-installer
3. Deploy OpenStack + CloudForms
4. In CloudForms: Clouds > Providers

Actual results:

Exclamation mark

Expected results:

Green checkmark

Additional info:

Default security protocol is SSL without Validation.  Both "SSL without Validation" and "SSL" return "Credential validation was not successful: Socket error: SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: unknown protocol (OpenSSL::SSL::SSLError)"

Workaround: Non-SSL security protocol
Comment 1 Antonin Pagac 2016-02-18 05:53:33 EST
*** Bug 1309610 has been marked as a duplicate of this bug. ***
Comment 2 Antonin Pagac 2016-02-18 09:12:49 EST
Reproduced on RHELOSP+CFME installation, TP2 RC9
Comment 3 Jason Montleon 2016-03-18 15:19:50 EDT
https://github.com/fusor/fusor/pull/726/files
Comment 4 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 John Matthews 2016-04-05 10:07:49 EDT
In TP3 RC2
Comment 6 Tasos Papaioannou 2016-04-20 13:11:01 EDT
Verified on TP3 (QCI-1.0-RHEL-7-20160411.t.0 + QCIOOO-7-RHEL-7-20160408.t.1).

Note You need to log in before you can comment on or make changes to this bug.